Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 684120 - dev-java/oracle-jdk-bin-11.0.5 bump request
Summary: dev-java/oracle-jdk-bin-11.0.5 bump request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-22 13:30 UTC by Sebastian Pipping
Modified: 2020-09-19 08:07 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Pipping gentoo-dev 2019-04-22 13:30:21 UTC
Thank you!
Comment 1 Tomáš Mózes 2019-04-22 14:28:44 UTC
It rather seems they want to remove it.
Comment 2 Red 2019-05-16 23:30:39 UTC
Just a note that Oracle apparently wants you to sign up for an account now before downloading their JDK.

I started using OpenJDK 11 today on my Slackware VPS which runs several Java-based Discord bots and it seems fine.

What actually is holding it back for mainstream Gentoo use? I installed OpenJDK 11 anyway, it runs fine though LibreOffice (the compiled version, not -bin) doesn't seem to recognize the OpenJDK folder as valid.

I can't find any information about what actually doesn't work with OpenJDK 11, other than that the current packages seem to ignore the gentoo-vm USE flag when I add it.
Comment 3 Georgy Yakovlev gentoo-dev 2019-05-16 23:59:59 UTC
(In reply to Red from comment #2)
> 
> What actually is holding it back for mainstream Gentoo use? I installed
> OpenJDK 11 anyway, it runs fine though LibreOffice (the compiled version,
> not -bin) doesn't seem to recognize the OpenJDK folder as valid.
> 
> I can't find any information about what actually doesn't work with OpenJDK
> 11, other than that the current packages seem to ignore the gentoo-vm USE
> flag when I add it.

Yes, creating account is one thing that stops me from bumping it, to download it I have to agree and I don't =)

The reason :11 is non-functional as system java is eclasses and packages.
oversimplified example:
many packages define dependency on java like >=1.5 for example. which will match 11, but it'll fail to build because jdk-11 compiles 1.8+ only

I haven't really looked at it yet deep enough, but there's an effort going of getting rid of many old obsolete java packages in gentoo. so things may improve a bit later.

as a standalone java, just for running jars or even apps it works quite well.
you just have to call it via full path and eselect java-vm does not "see" it (unless you manage to enable gentoo-vm useflag)

so broken means broken with portage.
feel free to use as standalone, it's quite great, especially ZGC.
Comment 4 Tomáš Mózes 2019-05-17 04:37:49 UTC
(In reply to Red from comment #2) 
> I can't find any information about what actually doesn't work with OpenJDK
> 11, other than that the current packages seem to ignore the gentoo-vm USE
> flag when I add it.

This should remove the gentoo-vm USE mask:

mkdir -p /etc/portage/profile
echo "dev-java/openjdk-bin -gentoo-vm" >> /etc/portage/profile/package.use.mask
Comment 5 Michael Mounteney 2019-10-23 11:42:49 UTC
It's 11.0.5 now.
Comment 6 Michael Mounteney 2019-10-23 18:46:40 UTC
Because this ebuild pulls 11.0.2 and Oracle publishes 11.0.5, the ebuild is useless.
Comment 7 Reva Denis 2020-01-06 14:22:59 UTC
It seems 13th version also released:
https://www.oracle.com/technetwork/java/javase/downloads/index.html#JDK13
Comment 8 Larry the Git Cow gentoo-dev 2020-09-19 08:07:02 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a7faaad2f8c5312dfb8d6e539b5a7346652e98b

commit 6a7faaad2f8c5312dfb8d6e539b5a7346652e98b
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-09-18 22:36:24 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-09-19 08:05:29 +0000

    dev-java/oracle-jdk-bin: remove last rited pkg
    
    Bug: https://bugs.gentoo.org/732630
    Bug: https://bugs.gentoo.org/717638
    Closes: https://bugs.gentoo.org/575978
    Closes: https://bugs.gentoo.org/686672
    Closes: https://bugs.gentoo.org/684306
    Closes: https://bugs.gentoo.org/692420
    Closes: https://bugs.gentoo.org/684120
    Closes: https://bugs.gentoo.org/681828
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/17594
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/oracle-jdk-bin/Manifest                   |  15 --
 .../oracle-jdk-bin/files/fontconfig.properties     | 161 -----------
 .../oracle-jdk-bin/files/oracle-jdk-bin-9.env.sh   |  16 --
 .../oracle-jdk-bin/files/oracle-jdk-bin.env.sh     |  16 --
 dev-java/oracle-jdk-bin/metadata.xml               |  16 --
 .../oracle-jdk-bin/oracle-jdk-bin-1.8.0.202.ebuild | 297 ---------------------
 .../oracle-jdk-bin/oracle-jdk-bin-11.0.2.ebuild    | 247 -----------------
 7 files changed, 768 deletions(-)